IntlChar::isULowercase
IntlChar::isUUppercase
IntlChar
PHP Manual

# IntlChar::isupper

(PHP 7)

IntlChar::isupper — Check if code point has the general category "Lu" (uppercase letter)

### Description

public static bool IntlChar::isupper ( mixed `$codepoint` )

Determines whether the specified code point has the general category "Lu" (uppercase letter).

> Note:

> This misses some characters that are also uppercase but have a different general category value. In order to include those, use IntlChar::isUUppercase().

### Parameters

`codepoint`

  The integer codepoint value (e.g. 0x2603 for U+2603 SNOWMAN), or the character encoded as a UTF-8 string (e.g. "\u{2603}")

### Return Values

Returns `TRUE` if `codepoint` is an Lu uppercase letter, `FALSE` if not.

### Examples

Example #1 Testing different code points

`<?php
var_dump(IntlChar::isupper("A"));
var_dump(IntlChar::isupper("a"));
var_dump(IntlChar::isupper("Φ"));
var_dump(IntlChar::isupper("φ"));
var_dump(IntlChar::isupper("1"));
?>`

The above example will output:

    bool(true)
    bool(false)
    bool(true)
    bool(false)
    bool(false)

### See Also

- IntlChar::islower() - Check if code point is a lowercase letter
- IntlChar::istitle() - Check if code point is a titlecase letter
- IntlChar::tolower() - Make Unicode character lowercase
- IntlChar::toupper() - Make Unicode character uppercase
- `IntlChar::PROPERTY_UPPERCASE`

IntlChar::isULowercase
IntlChar::isUUppercase
IntlChar
PHP Manual